﻿<?xml version="1.0" encoding="utf-8"?>
<xs:schema id="WFEDataSet7" targetNamespace="http://tempuri.org/WFEDataSet7.xsd" xmlns:mstns="http://tempuri.org/WFEDataSet7.xsd" xmlns="http://tempuri.org/WFEDataSet7.xsd" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata" xmlns:msprop="urn:schemas-microsoft-com:xml-msprop" attributeFormDefault="qualified" elementFormDefault="qualified">
  <xs:annotation>
    <xs:appinfo source="urn:schemas-microsoft-com:xml-msdatasource">
      <DataSource DefaultConnectionIndex="0" FunctionsComponentName="QueriesTableAdapter" Modifier="AutoLayout, AnsiClass, Class, Public" SchemaSerializationMode="IncludeSchema" xmlns="urn:schemas-microsoft-com:xml-msdatasource">
        <Connections>
          <Connection AppSettingsObjectName="MySettings" AppSettingsPropertyName="WFEConnectionString" ConnectionStringObject="" IsAppSettingsProperty="true" Modifier="Assembly" Name="WFEConnectionString (MySettings)" PropertyReference="ApplicationSettings.WFE.My.MySettings.GlobalReference.Default.WFEConnectionString" Provider="System.Data.OleDb" />
        </Connections>
        <Tables>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="產品總資訊TableAdapter" GeneratorDataComponentClassName="產品總資訊TableAdapter" Name="產品總資訊" UserDataComponentName="產品總資訊TableAdapter">
            <MainSource>
              <DbSource ConnectionRef="WFEConnectionString (MySettings)" DbObjectName="產品總資訊" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="true" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <DeleteCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>DELETE FROM `產品總資訊` WHERE ((`識別碼` = ?) AND ((? = 1 AND `產品名稱` IS NULL) OR (`產品名稱` = ?)) AND ((? = 1 AND `一般零件製程總水足跡` IS NULL) OR (`一般零件製程總水足跡` = ?)) AND ((? = 1 AND `後製加工總水足跡` IS NULL) OR (`後製加工總水足跡` = ?)) AND ((? = 1 AND `產品總水足跡` IS NULL) OR (`產品總水足跡` = ?)))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="Original_識別碼" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="識別碼" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_產品名稱" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="產品名稱" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_產品名稱" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="產品名稱" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_一般零件製程總水足跡" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="一般零件製程總水足跡" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Double" Direction="Input" ParameterName="Original_一般零件製程總水足跡" Precision="0" ProviderType="Double" Scale="0" Size="0" SourceColumn="一般零件製程總水足跡" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_後製加工總水足跡" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="後製加工總水足跡" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Double" Direction="Input" ParameterName="Original_後製加工總水足跡" Precision="0" ProviderType="Double" Scale="0" Size="0" SourceColumn="後製加工總水足跡" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_產品總水足跡" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="產品總水足跡" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Double" Direction="Input" ParameterName="Original_產品總水足跡" Precision="0" ProviderType="Double" Scale="0" Size="0" SourceColumn="產品總水足跡" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </DeleteCommand>
                <InsertCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>INSERT INTO `產品總資訊` (`產品名稱`, `一般零件製程總水足跡`, `後製加工總水足跡`, `產品總水足跡`) VALUES (?, ?, ?, ?)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="產品名稱" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="產品名稱" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Double" Direction="Input" ParameterName="一般零件製程總水足跡" Precision="0" ProviderType="Double" Scale="0" Size="0" SourceColumn="一般零件製程總水足跡" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Double" Direction="Input" ParameterName="後製加工總水足跡" Precision="0" ProviderType="Double" Scale="0" Size="0" SourceColumn="後製加工總水足跡" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Double" Direction="Input" ParameterName="產品總水足跡" Precision="0" ProviderType="Double" Scale="0" Size="0" SourceColumn="產品總水足跡" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </InsertCommand>
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>SELECT 識別碼, 產品名稱, 一般零件製程總水足跡, 後製加工總水足跡, 產品總水足跡 FROM 產品總資訊</CommandText>
                    <Parameters />
                  </DbCommand>
                </SelectCommand>
                <UpdateCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>UPDATE `產品總資訊` SET `產品名稱` = ?, `一般零件製程總水足跡` = ?, `後製加工總水足跡` = ?, `產品總水足跡` = ? WHERE ((`識別碼` = ?) AND ((? = 1 AND `產品名稱` IS NULL) OR (`產品名稱` = ?)) AND ((? = 1 AND `一般零件製程總水足跡` IS NULL) OR (`一般零件製程總水足跡` = ?)) AND ((? = 1 AND `後製加工總水足跡` IS NULL) OR (`後製加工總水足跡` = ?)) AND ((? = 1 AND `產品總水足跡` IS NULL) OR (`產品總水足跡` = ?)))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="產品名稱" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="產品名稱" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Double" Direction="Input" ParameterName="一般零件製程總水足跡" Precision="0" ProviderType="Double" Scale="0" Size="0" SourceColumn="一般零件製程總水足跡" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Double" Direction="Input" ParameterName="後製加工總水足跡" Precision="0" ProviderType="Double" Scale="0" Size="0" SourceColumn="後製加工總水足跡" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Double" Direction="Input" ParameterName="產品總水足跡" Precision="0" ProviderType="Double" Scale="0" Size="0" SourceColumn="產品總水足跡" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="Original_識別碼" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="識別碼" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_產品名稱" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="產品名稱" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_產品名稱" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="產品名稱" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_一般零件製程總水足跡" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="一般零件製程總水足跡" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Double" Direction="Input" ParameterName="Original_一般零件製程總水足跡" Precision="0" ProviderType="Double" Scale="0" Size="0" SourceColumn="一般零件製程總水足跡" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_後製加工總水足跡" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="後製加工總水足跡" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Double" Direction="Input" ParameterName="Original_後製加工總水足跡" Precision="0" ProviderType="Double" Scale="0" Size="0" SourceColumn="後製加工總水足跡" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_產品總水足跡" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="產品總水足跡" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Double" Direction="Input" ParameterName="Original_產品總水足跡" Precision="0" ProviderType="Double" Scale="0" Size="0" SourceColumn="產品總水足跡" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </UpdateCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="識別碼" DataSetColumn="識別碼" />
              <Mapping SourceColumn="產品名稱" DataSetColumn="產品名稱" />
              <Mapping SourceColumn="一般零件製程總水足跡" DataSetColumn="一般零件製程總水足跡" />
              <Mapping SourceColumn="後製加工總水足跡" DataSetColumn="後製加工總水足跡" />
              <Mapping SourceColumn="產品總水足跡" DataSetColumn="產品總水足跡" />
            </Mappings>
            <Sources />
          </TableAdapter>
        </Tables>
        <Sources />
      </DataSource>
    </xs:appinfo>
  </xs:annotation>
  <xs:element name="WFEDataSet7" msdata:IsDataSet="true" msdata:UseCurrentLocale="true" msprop:EnableTableAdapterManager="True" msprop:Generator_DataSetName="WFEDataSet7" msprop:Generator_UserDSName="WFEDataSet7">
    <xs:complexType>
      <xs:choice minOccurs="0" maxOccurs="unbounded">
        <xs:element name="產品總資訊" msprop:Generator_TableClassName="產品總資訊DataTable" msprop:Generator_TableVarName="table產品總資訊" msprop:Generator_TablePropName="產品總資訊" msprop:Generator_RowDeletingName="產品總資訊RowDeleting" msprop:Generator_RowChangingName="產品總資訊RowChanging" msprop:Generator_RowEvHandlerName="產品總資訊RowChangeEventHandler" msprop:Generator_RowDeletedName="產品總資訊RowDeleted" msprop:Generator_UserTableName="產品總資訊" msprop:Generator_RowChangedName="產品總資訊RowChanged" msprop:Generator_RowEvArgName="產品總資訊RowChangeEvent" msprop:Generator_RowClassName="產品總資訊Row">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="識別碼" msdata:AutoIncrement="true" msdata:AutoIncrementSeed="-1" msdata:AutoIncrementStep="-1" msprop:Generator_ColumnVarNameInTable="column識別碼" msprop:Generator_ColumnPropNameInRow="識別碼" msprop:Generator_ColumnPropNameInTable="識別碼Column" msprop:Generator_UserColumnName="識別碼" type="xs:int" />
              <xs:element name="產品名稱" msprop:Generator_ColumnVarNameInTable="column產品名稱" msprop:Generator_ColumnPropNameInRow="產品名稱" msprop:Generator_ColumnPropNameInTable="產品名稱Column" msprop:Generator_UserColumnName="產品名稱" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="一般零件製程總水足跡" msprop:Generator_ColumnVarNameInTable="column一般零件製程總水足跡" msprop:Generator_ColumnPropNameInRow="一般零件製程總水足跡" msprop:Generator_ColumnPropNameInTable="一般零件製程總水足跡Column" msprop:Generator_UserColumnName="一般零件製程總水足跡" type="xs:double" minOccurs="0" />
              <xs:element name="後製加工總水足跡" msprop:Generator_ColumnVarNameInTable="column後製加工總水足跡" msprop:Generator_ColumnPropNameInRow="後製加工總水足跡" msprop:Generator_ColumnPropNameInTable="後製加工總水足跡Column" msprop:Generator_UserColumnName="後製加工總水足跡" type="xs:double" minOccurs="0" />
              <xs:element name="產品總水足跡" msprop:Generator_ColumnVarNameInTable="column產品總水足跡" msprop:Generator_ColumnPropNameInRow="產品總水足跡" msprop:Generator_ColumnPropNameInTable="產品總水足跡Column" msprop:Generator_UserColumnName="產品總水足跡" type="xs:double" minOccurs="0" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
      </xs:choice>
    </xs:complexType>
    <xs:unique name="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:產品總資訊" />
      <xs:field xpath="mstns:識別碼" />
    </xs:unique>
  </xs:element>
</xs:schema>